=== debian/control ===
# vim:noexpandtab:
Source: icecat
Section: web
Priority: optional
Maintainer: Ruben Rodriguez <ruben@gnu.org>
Build-Depends: cdbs,
	locales,
	debhelper (>= 7),
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	libgstreamer1.0-dev | libgstreamer0.10-dev,
	libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
	hardening-wrapper,
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	libpulse-dev,
	yasm (>= 1.1),
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7),
	libffi-dev (>= 3.0.9) [arm64]
Standards-Version: 3.9.1
#XS-Testsuite: autopkgtest

Package: icecat
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: ,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk4
Provides:firefox, abrowser,  www-browser,
	iceweasel, firefox,
	gnome-www-browser,
	${app:Provides}
Suggests: ttf-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces:firefox, abrowser,  ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from GNU
 IceCat delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: icecat-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	icecat (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts},
Description: Safe and easy web browser from GNU - debug symbols
 IceCat delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the IceCat web
 browser

Package: icecat-dev
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	icecat (= ${binary:Version})
Provides:firefox-dev,  ${app:Provides}
Conflicts: xulrunner-2.0-dev,
	xulrunner-1.9.2-dev,
	xulrunner-1.9-dev,
	${app:Conflicts}
Description: Safe and easy web browser from GNU - development files
 IceCat delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the headers and SDK for building plugins with IceCat

Package: icecat-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from GNU - Breakpad symbols
 IceCat delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the IceCat symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: icecat-testsuite
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	icecat (= ${binary:Version}),
	icecat-locale-af (= ${binary:Version}), icecat-locale-an (= ${binary:Version}), icecat-locale-ar (= ${binary:Version}), icecat-locale-as (= ${binary:Version}), icecat-locale-ast (= ${binary:Version}), icecat-locale-az (= ${binary:Version}), icecat-locale-be (= ${binary:Version}), icecat-locale-bg (= ${binary:Version}), icecat-locale-bn (= ${binary:Version}), icecat-locale-br (= ${binary:Version}), icecat-locale-bs (= ${binary:Version}), icecat-locale-ca (= ${binary:Version}), icecat-locale-cs (= ${binary:Version}), icecat-locale-csb (= ${binary:Version}), icecat-locale-cy (= ${binary:Version}), icecat-locale-da (= ${binary:Version}), icecat-locale-de (= ${binary:Version}), icecat-locale-el (= ${binary:Version}), icecat-locale-en (= ${binary:Version}), icecat-locale-eo (= ${binary:Version}), icecat-locale-es (= ${binary:Version}), icecat-locale-et (= ${binary:Version}), icecat-locale-eu (= ${binary:Version}), icecat-locale-fa (= ${binary:Version}), icecat-locale-fi (= ${binary:Version}), icecat-locale-fr (= ${binary:Version}), icecat-locale-fy (= ${binary:Version}), icecat-locale-ga (= ${binary:Version}), icecat-locale-gd (= ${binary:Version}), icecat-locale-gl (= ${binary:Version}), icecat-locale-gu (= ${binary:Version}), icecat-locale-he (= ${binary:Version}), icecat-locale-hi (= ${binary:Version}), icecat-locale-hr (= ${binary:Version}), icecat-locale-hsb (= ${binary:Version}), icecat-locale-hu (= ${binary:Version}), icecat-locale-hy (= ${binary:Version}), icecat-locale-id (= ${binary:Version}), icecat-locale-is (= ${binary:Version}), icecat-locale-it (= ${binary:Version}), icecat-locale-ja (= ${binary:Version}), icecat-locale-ka (= ${binary:Version}), icecat-locale-kk (= ${binary:Version}), icecat-locale-km (= ${binary:Version}), icecat-locale-kn (= ${binary:Version}), icecat-locale-ko (= ${binary:Version}), icecat-locale-ku (= ${binary:Version}), icecat-locale-lg (= ${binary:Version}), icecat-locale-lt (= ${binary:Version}), icecat-locale-lv (= ${binary:Version}), icecat-locale-mai (= ${binary:Version}), icecat-locale-mk (= ${binary:Version}), icecat-locale-ml (= ${binary:Version}), icecat-locale-mn (= ${binary:Version}), icecat-locale-mr (= ${binary:Version}), icecat-locale-ms (= ${binary:Version}), icecat-locale-nb (= ${binary:Version}), icecat-locale-nl (= ${binary:Version}), icecat-locale-nn (= ${binary:Version}), icecat-locale-nso (= ${binary:Version}), icecat-locale-oc (= ${binary:Version}), icecat-locale-or (= ${binary:Version}), icecat-locale-pa (= ${binary:Version}), icecat-locale-pl (= ${binary:Version}), icecat-locale-pt (= ${binary:Version}), icecat-locale-ro (= ${binary:Version}), icecat-locale-ru (= ${binary:Version}), icecat-locale-si (= ${binary:Version}), icecat-locale-sk (= ${binary:Version}), icecat-locale-sl (= ${binary:Version}), icecat-locale-sq (= ${binary:Version}), icecat-locale-sr (= ${binary:Version}), icecat-locale-sv (= ${binary:Version}), icecat-locale-sw (= ${binary:Version}), icecat-locale-ta (= ${binary:Version}), icecat-locale-te (= ${binary:Version}), icecat-locale-th (= ${binary:Version}), icecat-locale-tr (= ${binary:Version}), icecat-locale-uk (= ${binary:Version}), icecat-locale-uz (= ${binary:Version}), icecat-locale-vi (= ${binary:Version}), icecat-locale-xh (= ${binary:Version}), icecat-locale-zh-hans (= ${binary:Version}), icecat-locale-zh-hant (= ${binary:Version}), icecat-locale-zu (= ${binary:Version}),
	python,
	dbus-x11,
	xvfb,
	make,
	notify-osd,
	metacity,
	language-pack-en-base,
	language-pack-es-base,
	language-pack-fr-base,
	language-pack-pt-base,
	fonts-arabeyes,
	fonts-kacst,
	fonts-takao-mincho,
	fonts-takao-gothic,
	fonts-wqy-zenhei | ttf-wqy-zenhei,
	fonts-arphic-uming,
	fonts-arphic-ukai | ttf-arphic-ukai,
	fonts-nanum,
	fonts-nanum-coding,
	fonts-unfonts-core,
	fonts-liberation,
	gnome-session,
	gnome-settings-daemon,
	ubuntu-settings,
	light-themes,
	unzip,
	hunspell-en-us,
	libgl1-mesa-dri
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from GNU - testsuite
 IceCat delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the IceCat testsuite

# Transitional packages below here

# Can be dropped after 14.04
# Language packs below here

Package: icecat-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-af, abrowser-locale-af
Description: Afrikaans language pack for IceCat
 This package contains Afrikaans translations and search plugins
 for IceCat

Package: icecat-locale-an
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-an-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-an, abrowser-locale-an
Description: Aragonese language pack for IceCat
 This package contains Aragonese translations and search plugins
 for IceCat

Package: icecat-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-ar, abrowser-locale-ar
Description: Arabic language pack for IceCat
 This package contains Arabic translations and search plugins
 for IceCat

Package: icecat-locale-as
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-as-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-as, abrowser-locale-as
Description: Assamese language pack for IceCat
 This package contains Assamese translations and search plugins
 for IceCat

Package: icecat-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-ast, abrowser-locale-ast
Description: Asturian language pack for IceCat
 This package contains Asturian translations and search plugins
 for IceCat

Package: icecat-locale-az
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-az-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-az, abrowser-locale-az
Description: Azerbaijani language pack for IceCat
 This package contains Azerbaijani translations and search plugins
 for IceCat

Package: icecat-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-be, abrowser-locale-be
Description: Belarusian language pack for IceCat
 This package contains Belarusian translations and search plugins
 for IceCat

Package: icecat-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-bg, abrowser-locale-bg
Description: Bulgarian language pack for IceCat
 This package contains Bulgarian translations and search plugins
 for IceCat

Package: icecat-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-bn, abrowser-locale-bn
Description: Bengali language pack for IceCat
 This package contains Bengali translations and search plugins
 for IceCat

Package: icecat-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-br, abrowser-locale-br
Description: Breton language pack for IceCat
 This package contains Breton translations and search plugins
 for IceCat

Package: icecat-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-bs, abrowser-locale-bs
Description: Bosnian language pack for IceCat
 This package contains Bosnian translations and search plugins
 for IceCat

Package: icecat-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-ca, abrowser-locale-ca
Description: Catalan; Valencian language pack for IceCat
 This package contains Catalan; Valencian translations and search plugins
 for IceCat

Package: icecat-locale-cs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cs-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-cs, abrowser-locale-cs
Description: Czech language pack for IceCat
